Subject: [bug#41183] [PATCH] guix package, show: Support multiple queries.

From: zimoun <[email-masked]>
Date: Mon, 11 May 2020 23:48:28 +0200

Hi Ludo,

On Mon, 11 May 2020 at 22:25, Ludovic Courtès <[email-masked]> wrote:

> Yay, applied!

Thank you!

> > It is already how '--search' works and has been extended to '--show'.  Does it
> > need to be documented in the manua?
>
> Weirdness.  I think we should improve all that rather than document it,
> addressing also some of the issues raised in
> <https://issues.guix.gnu.org/issue/40549>.

Expected weirdness. :-)
It is because of the use of 'assoc-ref' on 'opts' which returns the
first match, so the first in the alist, so the last in the
command-line.  This behaviour is a feature. ;-)

Well, thanks for the reminder on #40549.  Now I have a better
understanding (e.g., query vs action), I am going to revisit it.

Cheers,
simon